libical: upgrade to 3.0.5

Message ID 20190722144809.14972-1-ross.burton@intel.com
State Superseded
Headers show
Series
  • libical: upgrade to 3.0.5
Related show

Commit Message

Ross Burton July 22, 2019, 2:48 p.m.
Note that this upgrade includes some API breakage.

Signed-off-by: Ross Burton <ross.burton@intel.com>

---
 ...ibical.pc.in-fix-iculibs-remove-full.patch | 44 -------------------
 .../{libical_2.0.0.bb => libical_3.0.5.bb}    | 20 +++++----
 2 files changed, 12 insertions(+), 52 deletions(-)
 delete mode 100644 meta/recipes-support/libical/libical/0001-CMakeLists.txt-libical.pc.in-fix-iculibs-remove-full.patch
 rename meta/recipes-support/libical/{libical_2.0.0.bb => libical_3.0.5.bb} (53%)

-- 
2.20.1

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Comments

Mittal, Anuj July 22, 2019, 11:17 p.m. | #1
On Mon, 2019-07-22 at 15:48 +0100, Ross Burton wrote:
> -LICENSE = "LGPLv2.1 | MPL-1.0"

> -LIC_FILES_CHKSUM =

> "file://COPYING;md5=d4fc58309d8ed46587ac63bb449d82f8 \

> -                   

> file://LICENSE;md5=d1a0891cd3e582b3e2ec8fe63badbbb6"

> +LICENSE = "LGPLv2.1 | MPL-2"

> +LIC_FILES_CHKSUM =

> "file://LICENSE;md5=1910a2a76ddf6a9ba369182494170d87 \

> +                   

> file://LICENSE.LGPL21.txt;md5=933adb561f159e7c3da079536f0ed871 \

> +                   

> file://LICENSE.MPL2.txt;md5=9741c346eef56131163e13b9db1241b3"


Should this be MPL-2.0 instead? This is causing warnings:

https://autobuilder.yoctoproject.org/typhoon/#/builders/37/builds/862/steps/8/logs/warnings

Thanks,
Anuj


-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core
Khem Raj July 23, 2019, 12:59 a.m. | #2
On Mon, Jul 22, 2019 at 4:17 PM Mittal, Anuj <anuj.mittal@intel.com> wrote:
>

> On Mon, 2019-07-22 at 15:48 +0100, Ross Burton wrote:

> > -LICENSE = "LGPLv2.1 | MPL-1.0"


this should be MPL-2.0 | LGPL-2.1

> > -LIC_FILES_CHKSUM =

> > "file://COPYING;md5=d4fc58309d8ed46587ac63bb449d82f8 \

> > -

> > file://LICENSE;md5=d1a0891cd3e582b3e2ec8fe63badbbb6"

> > +LICENSE = "LGPLv2.1 | MPL-2"

> > +LIC_FILES_CHKSUM =

> > "file://LICENSE;md5=1910a2a76ddf6a9ba369182494170d87 \

> > +

> > file://LICENSE.LGPL21.txt;md5=933adb561f159e7c3da079536f0ed871 \

> > +

> > file://LICENSE.MPL2.txt;md5=9741c346eef56131163e13b9db1241b3"

>

> Should this be MPL-2.0 instead? This is causing warnings:


the license is MPL-2.0 but the license file name is MPL2.txt so this seems fine.

>

> https://autobuilder.yoctoproject.org/typhoon/#/builders/37/builds/862/steps/8/logs/warnings

>

> Thanks,

> Anuj

>

>

> --

> _______________________________________________

> Openembedded-core mailing list

> Openembedded-core@lists.openembedded.org

> http://lists.openembedded.org/mailman/listinfo/openembedded-core

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core
Mittal, Anuj July 23, 2019, 1:05 a.m. | #3
On Mon, 2019-07-22 at 17:59 -0700, Khem Raj wrote:
> On Mon, Jul 22, 2019 at 4:17 PM Mittal, Anuj <anuj.mittal@intel.com>

> wrote:

> > On Mon, 2019-07-22 at 15:48 +0100, Ross Burton wrote:

> > > -LICENSE = "LGPLv2.1 | MPL-1.0"

> 

> this should be MPL-2.0 | LGPL-2.1

> 

> > > -LIC_FILES_CHKSUM =

> > > "file://COPYING;md5=d4fc58309d8ed46587ac63bb449d82f8 \

> > > -

> > > file://LICENSE;md5=d1a0891cd3e582b3e2ec8fe63badbbb6"

> > > +LICENSE = "LGPLv2.1 | MPL-2"

> > > +LIC_FILES_CHKSUM =

> > > "file://LICENSE;md5=1910a2a76ddf6a9ba369182494170d87 \

> > > +

> > > file://LICENSE.LGPL21.txt;md5=933adb561f159e7c3da079536f0ed871 \

> > > +

> > > file://LICENSE.MPL2.txt;md5=9741c346eef56131163e13b9db1241b3"

> > 

> > Should this be MPL-2.0 instead? This is causing warnings:

> 

> the license is MPL-2.0 but the license file name is MPL2.txt so this

> seems fine.


I meant the field in LICENSE. Quoted the wrong text.

Thanks.
-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core
Khem Raj July 23, 2019, 1:12 a.m. | #4
On Mon, Jul 22, 2019 at 6:05 PM Mittal, Anuj <anuj.mittal@intel.com> wrote:
>

> On Mon, 2019-07-22 at 17:59 -0700, Khem Raj wrote:

> > On Mon, Jul 22, 2019 at 4:17 PM Mittal, Anuj <anuj.mittal@intel.com>

> > wrote:

> > > On Mon, 2019-07-22 at 15:48 +0100, Ross Burton wrote:

> > > > -LICENSE = "LGPLv2.1 | MPL-1.0"

> >

> > this should be MPL-2.0 | LGPL-2.1

> >

> > > > -LIC_FILES_CHKSUM =

> > > > "file://COPYING;md5=d4fc58309d8ed46587ac63bb449d82f8 \

> > > > -

> > > > file://LICENSE;md5=d1a0891cd3e582b3e2ec8fe63badbbb6"

> > > > +LICENSE = "LGPLv2.1 | MPL-2"

> > > > +LIC_FILES_CHKSUM =

> > > > "file://LICENSE;md5=1910a2a76ddf6a9ba369182494170d87 \

> > > > +

> > > > file://LICENSE.LGPL21.txt;md5=933adb561f159e7c3da079536f0ed871 \

> > > > +

> > > > file://LICENSE.MPL2.txt;md5=9741c346eef56131163e13b9db1241b3"

> > >

> > > Should this be MPL-2.0 instead? This is causing warnings:

> >

> > the license is MPL-2.0 but the license file name is MPL2.txt so this

> > seems fine.

>

> I meant the field in LICENSE. Quoted the wrong text.


reply quote confused me. yes it is wrong. It should be MPL-2.0

>

> Thanks.

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core
Khem Raj July 23, 2019, 9:03 p.m. | #5
this is causing a failure in meta-xfce

https://errors.yoctoproject.org/Errors/Details/253910/

On Mon, Jul 22, 2019 at 6:12 PM Khem Raj <raj.khem@gmail.com> wrote:
>

> On Mon, Jul 22, 2019 at 6:05 PM Mittal, Anuj <anuj.mittal@intel.com> wrote:

> >

> > On Mon, 2019-07-22 at 17:59 -0700, Khem Raj wrote:

> > > On Mon, Jul 22, 2019 at 4:17 PM Mittal, Anuj <anuj.mittal@intel.com>

> > > wrote:

> > > > On Mon, 2019-07-22 at 15:48 +0100, Ross Burton wrote:

> > > > > -LICENSE = "LGPLv2.1 | MPL-1.0"

> > >

> > > this should be MPL-2.0 | LGPL-2.1

> > >

> > > > > -LIC_FILES_CHKSUM =

> > > > > "file://COPYING;md5=d4fc58309d8ed46587ac63bb449d82f8 \

> > > > > -

> > > > > file://LICENSE;md5=d1a0891cd3e582b3e2ec8fe63badbbb6"

> > > > > +LICENSE = "LGPLv2.1 | MPL-2"

> > > > > +LIC_FILES_CHKSUM =

> > > > > "file://LICENSE;md5=1910a2a76ddf6a9ba369182494170d87 \

> > > > > +

> > > > > file://LICENSE.LGPL21.txt;md5=933adb561f159e7c3da079536f0ed871 \

> > > > > +

> > > > > file://LICENSE.MPL2.txt;md5=9741c346eef56131163e13b9db1241b3"

> > > >

> > > > Should this be MPL-2.0 instead? This is causing warnings:

> > >

> > > the license is MPL-2.0 but the license file name is MPL2.txt so this

> > > seems fine.

> >

> > I meant the field in LICENSE. Quoted the wrong text.

>

> reply quote confused me. yes it is wrong. It should be MPL-2.0

>

> >

> > Thanks.

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core
Ross Burton July 23, 2019, 9:12 p.m. | #6
The last release of Orage was four years ago: I suggest removing that
from meta-xfce instead of keeping everyone else using an old version
of libical.

Ross

On Tue, 23 Jul 2019 at 22:04, Khem Raj <raj.khem@gmail.com> wrote:
>

> this is causing a failure in meta-xfce

>

> https://errors.yoctoproject.org/Errors/Details/253910/

>

> On Mon, Jul 22, 2019 at 6:12 PM Khem Raj <raj.khem@gmail.com> wrote:

> >

> > On Mon, Jul 22, 2019 at 6:05 PM Mittal, Anuj <anuj.mittal@intel.com> wrote:

> > >

> > > On Mon, 2019-07-22 at 17:59 -0700, Khem Raj wrote:

> > > > On Mon, Jul 22, 2019 at 4:17 PM Mittal, Anuj <anuj.mittal@intel.com>

> > > > wrote:

> > > > > On Mon, 2019-07-22 at 15:48 +0100, Ross Burton wrote:

> > > > > > -LICENSE = "LGPLv2.1 | MPL-1.0"

> > > >

> > > > this should be MPL-2.0 | LGPL-2.1

> > > >

> > > > > > -LIC_FILES_CHKSUM =

> > > > > > "file://COPYING;md5=d4fc58309d8ed46587ac63bb449d82f8 \

> > > > > > -

> > > > > > file://LICENSE;md5=d1a0891cd3e582b3e2ec8fe63badbbb6"

> > > > > > +LICENSE = "LGPLv2.1 | MPL-2"

> > > > > > +LIC_FILES_CHKSUM =

> > > > > > "file://LICENSE;md5=1910a2a76ddf6a9ba369182494170d87 \

> > > > > > +

> > > > > > file://LICENSE.LGPL21.txt;md5=933adb561f159e7c3da079536f0ed871 \

> > > > > > +

> > > > > > file://LICENSE.MPL2.txt;md5=9741c346eef56131163e13b9db1241b3"

> > > > >

> > > > > Should this be MPL-2.0 instead? This is causing warnings:

> > > >

> > > > the license is MPL-2.0 but the license file name is MPL2.txt so this

> > > > seems fine.

> > >

> > > I meant the field in LICENSE. Quoted the wrong text.

> >

> > reply quote confused me. yes it is wrong. It should be MPL-2.0

> >

> > >

> > > Thanks.

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core
Khem Raj July 23, 2019, 9:15 p.m. | #7
On Tue, Jul 23, 2019 at 2:12 PM Burton, Ross <ross.burton@intel.com> wrote:
>

> The last release of Orage was four years ago: I suggest removing that

> from meta-xfce instead of keeping everyone else using an old version

> of libical.


thats the latest unfortunately. I think a simple fix would be to drop
is_utc field  setting
in orage since it seems to gone in libical3, I will try to cookup a
patch and try

>

> Ross

>

> On Tue, 23 Jul 2019 at 22:04, Khem Raj <raj.khem@gmail.com> wrote:

> >

> > this is causing a failure in meta-xfce

> >

> > https://errors.yoctoproject.org/Errors/Details/253910/

> >

> > On Mon, Jul 22, 2019 at 6:12 PM Khem Raj <raj.khem@gmail.com> wrote:

> > >

> > > On Mon, Jul 22, 2019 at 6:05 PM Mittal, Anuj <anuj.mittal@intel.com> wrote:

> > > >

> > > > On Mon, 2019-07-22 at 17:59 -0700, Khem Raj wrote:

> > > > > On Mon, Jul 22, 2019 at 4:17 PM Mittal, Anuj <anuj.mittal@intel.com>

> > > > > wrote:

> > > > > > On Mon, 2019-07-22 at 15:48 +0100, Ross Burton wrote:

> > > > > > > -LICENSE = "LGPLv2.1 | MPL-1.0"

> > > > >

> > > > > this should be MPL-2.0 | LGPL-2.1

> > > > >

> > > > > > > -LIC_FILES_CHKSUM =

> > > > > > > "file://COPYING;md5=d4fc58309d8ed46587ac63bb449d82f8 \

> > > > > > > -

> > > > > > > file://LICENSE;md5=d1a0891cd3e582b3e2ec8fe63badbbb6"

> > > > > > > +LICENSE = "LGPLv2.1 | MPL-2"

> > > > > > > +LIC_FILES_CHKSUM =

> > > > > > > "file://LICENSE;md5=1910a2a76ddf6a9ba369182494170d87 \

> > > > > > > +

> > > > > > > file://LICENSE.LGPL21.txt;md5=933adb561f159e7c3da079536f0ed871 \

> > > > > > > +

> > > > > > > file://LICENSE.MPL2.txt;md5=9741c346eef56131163e13b9db1241b3"

> > > > > >

> > > > > > Should this be MPL-2.0 instead? This is causing warnings:

> > > > >

> > > > > the license is MPL-2.0 but the license file name is MPL2.txt so this

> > > > > seems fine.

> > > >

> > > > I meant the field in LICENSE. Quoted the wrong text.

> > >

> > > reply quote confused me. yes it is wrong. It should be MPL-2.0

> > >

> > > >

> > > > Thanks.

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core
Khem Raj July 23, 2019, 9:36 p.m. | #8
On Tue, Jul 23, 2019 at 2:15 PM Khem Raj <raj.khem@gmail.com> wrote:
>

> On Tue, Jul 23, 2019 at 2:12 PM Burton, Ross <ross.burton@intel.com> wrote:

> >

> > The last release of Orage was four years ago: I suggest removing that

> > from meta-xfce instead of keeping everyone else using an old version

> > of libical.

>

> thats the latest unfortunately. I think a simple fix would be to drop

> is_utc field  setting

> in orage since it seems to gone in libical3, I will try to cookup a

> patch and try

>


sent here
https://patchwork.openembedded.org/patch/163311/

we can merge libical3 update

> >

> > Ross

> >

> > On Tue, 23 Jul 2019 at 22:04, Khem Raj <raj.khem@gmail.com> wrote:

> > >

> > > this is causing a failure in meta-xfce

> > >

> > > https://errors.yoctoproject.org/Errors/Details/253910/

> > >

> > > On Mon, Jul 22, 2019 at 6:12 PM Khem Raj <raj.khem@gmail.com> wrote:

> > > >

> > > > On Mon, Jul 22, 2019 at 6:05 PM Mittal, Anuj <anuj.mittal@intel.com> wrote:

> > > > >

> > > > > On Mon, 2019-07-22 at 17:59 -0700, Khem Raj wrote:

> > > > > > On Mon, Jul 22, 2019 at 4:17 PM Mittal, Anuj <anuj.mittal@intel.com>

> > > > > > wrote:

> > > > > > > On Mon, 2019-07-22 at 15:48 +0100, Ross Burton wrote:

> > > > > > > > -LICENSE = "LGPLv2.1 | MPL-1.0"

> > > > > >

> > > > > > this should be MPL-2.0 | LGPL-2.1

> > > > > >

> > > > > > > > -LIC_FILES_CHKSUM =

> > > > > > > > "file://COPYING;md5=d4fc58309d8ed46587ac63bb449d82f8 \

> > > > > > > > -

> > > > > > > > file://LICENSE;md5=d1a0891cd3e582b3e2ec8fe63badbbb6"

> > > > > > > > +LICENSE = "LGPLv2.1 | MPL-2"

> > > > > > > > +LIC_FILES_CHKSUM =

> > > > > > > > "file://LICENSE;md5=1910a2a76ddf6a9ba369182494170d87 \

> > > > > > > > +

> > > > > > > > file://LICENSE.LGPL21.txt;md5=933adb561f159e7c3da079536f0ed871 \

> > > > > > > > +

> > > > > > > > file://LICENSE.MPL2.txt;md5=9741c346eef56131163e13b9db1241b3"

> > > > > > >

> > > > > > > Should this be MPL-2.0 instead? This is causing warnings:

> > > > > >

> > > > > > the license is MPL-2.0 but the license file name is MPL2.txt so this

> > > > > > seems fine.

> > > > >

> > > > > I meant the field in LICENSE. Quoted the wrong text.

> > > >

> > > > reply quote confused me. yes it is wrong. It should be MPL-2.0

> > > >

> > > > >

> > > > > Thanks.

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Patch

diff --git a/meta/recipes-support/libical/libical/0001-CMakeLists.txt-libical.pc.in-fix-iculibs-remove-full.patch b/meta/recipes-support/libical/libical/0001-CMakeLists.txt-libical.pc.in-fix-iculibs-remove-full.patch
deleted file mode 100644
index 6db75f5086c..00000000000
--- a/meta/recipes-support/libical/libical/0001-CMakeLists.txt-libical.pc.in-fix-iculibs-remove-full.patch
+++ /dev/null
@@ -1,44 +0,0 @@ 
-From 1a41069c0dc054e59cd76fc3d8cf7cc2a78b5e8d Mon Sep 17 00:00:00 2001
-From: Allen Winter <allen.winter@kdab.com>
-Date: Sat, 3 Sep 2016 16:56:29 -0400
-Subject: [PATCH] CMakeLists.txt, libical.pc.in - fix iculibs (remove full path) ISSUE: 227
-
-Upstream-Status: Backport
-
-Signed-off-by: Maxin B. John <maxin.john@intel.com>
-----
-diff -Naur libical-2.0.0-orig/CMakeLists.txt libical-2.0.0/CMakeLists.txt
---- libical-2.0.0-orig/CMakeLists.txt	2016-09-08 18:05:06.166049345 +0300
-+++ libical-2.0.0/CMakeLists.txt	2016-09-08 18:05:45.201561334 +0300
-@@ -128,6 +128,7 @@
- #  RSCALE info at http://tools.ietf.org/html/rfc7529
- find_package(ICU)
- if(ICU_FOUND)
-+  set(ICUUC_LIBS "-licuuc") #for libical.pc
-   set(HAVE_LIBICU 1)
-   if(ICU_MAJOR_VERSION VERSION_GREATER 50)
-     set(HAVE_ICU_DANGI TRUE)
-@@ -137,6 +138,7 @@
- endif()
- if(ICU_I18N_FOUND)
-   set(HAVE_LIBICU_I18N 1)
-+  set(ICUI18N_LIBS "-licui18n") #for libical.pc
- endif()
- 
- # MSVC specific definitions
-diff -Naur libical-2.0.0-orig/libical.pc.in libical-2.0.0/libical.pc.in
---- libical-2.0.0-orig/libical.pc.in	2015-12-28 23:44:53.000000000 +0200
-+++ libical-2.0.0/libical.pc.in	2016-09-08 18:09:12.991963597 +0300
-@@ -3,10 +3,10 @@
- libdir=@libdir@
- includedir=@includedir@
- threadslib=@PTHREAD_LIBS@
--iculib=@ICU_LIBRARIES@ @ICU_I18N_LIBRARIES@
-+iculibs=@ICUUC_LIBS@ @ICUI18N_LIBS@
- 
- Name: libical
- Description: An implementation of basic iCAL protocols
- Version: @VERSION@
--Libs: -L${libdir} -lical -licalss -licalvcal ${threadslib} ${iculib}
-+Libs: -L${libdir} -lical -licalss -licalvcal ${threadslib} ${iculibs}
- Cflags: -I${includedir}
diff --git a/meta/recipes-support/libical/libical_2.0.0.bb b/meta/recipes-support/libical/libical_3.0.5.bb
similarity index 53%
rename from meta/recipes-support/libical/libical_2.0.0.bb
rename to meta/recipes-support/libical/libical_3.0.5.bb
index 7dffdcfb013..6489ccb9323 100644
--- a/meta/recipes-support/libical/libical_2.0.0.bb
+++ b/meta/recipes-support/libical/libical_3.0.5.bb
@@ -1,18 +1,18 @@ 
 SUMMARY = "iCal and scheduling (RFC 2445, 2446, 2447) library"
 HOMEPAGE = "https://github.com/libical/libical"
 BUGTRACKER = "https://github.com/libical/libical/issues"
-LICENSE = "LGPLv2.1 | MPL-1.0"
-LIC_FILES_CHKSUM = "file://COPYING;md5=d4fc58309d8ed46587ac63bb449d82f8 \
-                    file://LICENSE;md5=d1a0891cd3e582b3e2ec8fe63badbbb6"
+LICENSE = "LGPLv2.1 | MPL-2"
+LIC_FILES_CHKSUM = "file://LICENSE;md5=1910a2a76ddf6a9ba369182494170d87 \
+                    file://LICENSE.LGPL21.txt;md5=933adb561f159e7c3da079536f0ed871 \
+                    file://LICENSE.MPL2.txt;md5=9741c346eef56131163e13b9db1241b3"
 SECTION = "libs"
 
-SRC_URI = "https://github.com/${BPN}/${BPN}/releases/download/v${PV}/${BP}.tar.gz \
-           file://0001-CMakeLists.txt-libical.pc.in-fix-iculibs-remove-full.patch \
-           "
+SRC_URI = "https://github.com/${BPN}/${BPN}/releases/download/v${PV}/${BP}.tar.gz"
+
 DEPENDS = "icu"
 
-SRC_URI[md5sum] = "6bf8e5f5a3ba88baf390d0134e05d76e"
-SRC_URI[sha256sum] = "654c11f759c19237be39f6ad401d917e5a05f36f1736385ed958e60cf21456da"
+SRC_URI[md5sum] = "9be4e8a1739a9c27e06aa8ce66b8cb34"
+SRC_URI[sha256sum] = "7ad550c8c49c9b9983658e3ab3e68b1eee2439ec17b169a6b1e6ecb5274e78e6"
 UPSTREAM_CHECK_URI = "https://github.com/libical/libical/releases"
 
 inherit cmake pkgconfig
@@ -20,6 +20,10 @@  inherit cmake pkgconfig
 # No need to use perl-native, the host perl is sufficient.
 EXTRA_OECMAKE += "-DPERL_EXECUTABLE=${HOSTTOOLS_DIR}/perl"
 
+# The glib library can't be cross-compiled, disable for now.
+# https://github.com/libical/libical/issues/394
+EXTRA_OECMAKE += "-DICAL_GLIB=false"
+
 do_install_append_class-target () {
     # Remove build host references
     sed -i \